# arm_fir_interpolate_instance_q15 Struct Reference

| CMSIS-DSP Verison 1.1.0 CMSIS DSP Software Library

- CMSIS
- CORE
- DSP
- RTOS API
- SVD

- Main Page
- Reference

- Data Structures
- Data Fields

Data Fields
arm_fir_interpolate_instance_q15 Struct Reference

Instance structure for the Q15 FIR interpolator.

## Data Fields

uint8_t | L
uint16_t | phaseLength
q15_t * | pCoeffs
q15_t * | pState

## Field Documentation

uint8_t arm_fir_interpolate_instance_q15::L

upsample factor.

Referenced by arm_fir_interpolate_init_q15(), and arm_fir_interpolate_q15().

q15_t* arm_fir_interpolate_instance_q15::pCoeffs

points to the coefficient array. The array is of length L*phaseLength.

Referenced by arm_fir_interpolate_init_q15(), and arm_fir_interpolate_q15().

uint16_t arm_fir_interpolate_instance_q15::phaseLength

length of each polyphase filter component.

Referenced by arm_fir_interpolate_init_q15(), and arm_fir_interpolate_q15().

q15_t* arm_fir_interpolate_instance_q15::pState

points to the state variable array. The array is of length blockSize+phaseLength-1.

Referenced by arm_fir_interpolate_init_q15(), and arm_fir_interpolate_q15().